import { select ,range } from 'd3';
import { fruitBowl } from './fruitbowl';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');


const render = () {
 fruitBowl(svg,{
   fruits,
   height
 });
}

const makeFruit = type => ({ type });

const fruits = range(5)
	.map(() => makeFruit('apple'));

render();

// eat

setTimeout(() => {
  
	fruits.pop();
  render();
},1000);

// replace with lemon
setTimeout(() => {
  fruits[2].type = 'lemon'
  render();
},2000);